<?xml version="1.0" encoding="UTF-8"?>
<!--
  Copyright (c) 2018, 2022 Eclipse Foundation and others.
  All rights reserved. This program and the accompanying materials
  are made available under the terms of the Eclipse Distribution License v1.0
  which accompanies this distribution, and is available at
  http://www.eclipse.org/org/documents/edl-v10.php
 
  Contributors:
    Nick Boldt, Red Hat - initial implementation
-->

<project
  xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd"
  xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <modelVersion>4.0.0</modelVersion>

  <parent>
    <groupId>org.eclipse</groupId>
    <artifactId>wtp-parent</artifactId>
    <version>3.10.0-SNAPSHOT</version>
    <relativePath>wtp-parent</relativePath>
  </parent>

  <groupId>org.eclipse.wtp</groupId>
  <artifactId>wtp-aggregator</artifactId>
  <version>3.37.0-SNAPSHOT</version>
  <packaging>pom</packaging>
  <modules>

    <!-- TODO: do we need all these releng scripts and libs? Can they be deprecated? -->
    <module>webtools.releng</module>

    <!-- new aggregate update site for 3.10.0.M7 -->
    <module>webtools.repositories</module>
  </modules>

  <!-- <profiles>
    <profile>
      <id>publish</id>
      <modules>
        <module>publish</module>
      </modules>
    </profile>
  </profiles> -->

  <repositories>
    <!-- To reference parent pom -->
    <repository>
      <id>Webtools Repository - Releases</id>
      <name>Webtools Repository - Releases</name>
      <url>https://repo.eclipse.org/content/repositories/webtools-releases/</url>
    </repository>
    <repository>
      <id>Webtools Repository - Snapshots</id>
      <name>Webtools Repository - Snapshots</name>
      <url>https://repo.eclipse.org/content/repositories/webtools-snapshots/</url>
    </repository>
  </repositories>

</project>

<!--
Note: to build this repo, you need to use the CI profile so that the 8 upstream CI jobs' repos can be resolved.

  mvn clean install -P CI

-->
